import { PageScrollConfig } from '../types/page-scroll.config';
import { PageScrollInstance, PageScrollOptions } from '../page-scroll-instance';
import * as i0 from "@angular/core";
export declare class PageScrollService {
    private readonly config;
    private runningInstances;
    private onInterrupted;
    private stopInternal;
    create(options: PageScrollOptions): PageScrollInstance;
    /**
     * Start a scroll animation. All properties of the animation are stored in the given {@link PageScrollInstance} object.
     *
     * This is the core functionality of the whole library.
     */
    start(pageScrollInstance: PageScrollInstance): void;
    scroll(options: PageScrollOptions): void;
    /**
     * Stop all running scroll animations. Optionally limit to stop only the ones of specific namespace.
     */
    stopAll(namespace?: string): boolean;
    stop(pageScrollInstance: PageScrollInstance): boolean;
    constructor(customConfig: PageScrollConfig);
    static ɵfac: i0.ɵɵFactoryDeclaration<PageScrollService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PageScrollService>;
}
